package com.sunhero.example.module.collect.job;

package ..deTemp.1749295801595;

import com.sunhero.example.module.collect.entity.StStbprpB;
import com.sunhero.example.module.collect.service.StStbprpBService;
import com.sunhero.example.module.sl.entity.SlStStbprpB;
import com.sunhero.example.module.sl.service.SlStStbprpBService;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import javax.annotation.Resource;
import org.apache.commons.collections.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class StbprpJob {
  private static final Logger log = LoggerFactory.getLogger(com.sunhero.example.module.collect.job.StbprpJob.class);
  
  @Resource
  private StStbprpBService stStbprpBService;
  
  @Resource
  private SlStStbprpBService slStStbprpBService;
  
  @Scheduled(cron = "${job.updateStbprp}")
  public void updateStbprp() {
    log.info("同步站点信息开始.........");
    List<StStbprpB> sqlServerSt = this.stStbprpBService.getList();
    List<SlStStbprpB> mysqlSt = this.slStStbprpBService.list();
    Map<String, Long> map = (Map<String, Long>)mysqlSt.stream().collect(Collectors.toMap(SlStStbprpB::getStcd, SlStStbprpB::getId));
    List<SlStStbprpB> b = new ArrayList<>();
    if (CollectionUtils.isNotEmpty(sqlServerSt))
      sqlServerSt.forEach(e -> {
            SlStStbprpB slb = new SlStStbprpB();
            if (map.containsKey(e.getStcd()))
              slb.setId((Long)map.get(e.getStcd())); 
            BeanUtils.copyProperties(e, slb);
            if (e.getLgtd() != null)
              slb.setLgtd(BigDecimal.valueOf(e.getLgtd().doubleValue())); 
            if (e.getLttd() != null)
              slb.setLttd(BigDecimal.valueOf(e.getLttd().doubleValue())); 
            if (e.getStazt() != null)
              slb.setStazt(BigDecimal.valueOf(e.getStazt().doubleValue())); 
            if (e.getDstrvm() != null)
              slb.setDstrvm(BigDecimal.valueOf(e.getDstrvm().doubleValue())); 
            if (e.getDrna() != null)
              slb.setDrna(BigDecimal.valueOf(e.getDrna().doubleValue())); 
            slb.getStnm().trim();
            b.add(slb);
          }); 
    if (CollectionUtils.isNotEmpty(b))
      this.slStStbprpBService.saveOrUpdateBatch(b); 
  }
}
